Skip to main content
DELETE
Detach a stored payment method

Authorizations

Authorization
string
header
required

Secret key, kc_sk_test_... or kc_sk_live_.... Server-side only.

Path Parameters

id
string
required
payment_method_id
string
required

Response

The detached payment method.

id
string
required
Example:

"pm_01JABCDEF"

object
string
required
Allowed value: "payment_method"
customer
string
required
type
string
required
Example:

"card"

status
enum<string>
required
Available options:
active,
detached
available
boolean
required

False when the partner is routed to a provider that cannot use this stored method.

created_at
string<date-time>
required
card
object | null